Index: Makefile
===================================================================
--- Makefile	(revision 11ebea60aa77e5a8b24f08971e153d05c12a4406)
+++ Makefile	(revision 1118b1757d67c5e7deb4c9e4b864b00f9d8a8b0c)
@@ -1,3 +1,4 @@
 BASEDIR = ~/lfs-book
+SYSDDIR = ~/lfs-systemd
 DUMPDIR = ~/lfs-commands
 RENDERTMP = $(HOME)/tmp
@@ -14,9 +15,18 @@
 endif
 
-lfs: validate profile-html
+sysv: validate profile-html
+	$(Q)xsltproc --nonet                   \
+      --output $(RENDERTMP)/lfs-html2.xml \
+      --stringparam profile.revision sysv \
+      stylesheets/lfs-xsl/profile.xsl     \
+      $(RENDERTMP)/lfs-html.xml
+
 	@echo "Generating chunked XHTML files..."
-	$(Q)xsltproc --nonet -stringparam chunk.quietly $(CHUNK_QUIET) \
-	  -stringparam rootid "$(ROOT_ID)" -stringparam base.dir $(BASEDIR)/ \
-	  stylesheets/lfs-chunked.xsl $(RENDERTMP)/lfs-html.xml
+	$(Q)xsltproc --nonet                          \
+      --stringparam chunk.quietly $(CHUNK_QUIET) \
+      --stringparam rootid "$(ROOT_ID)"          \
+      --stringparam base.dir $(BASEDIR)/         \
+      stylesheets/lfs-chunked.xsl                \
+      $(RENDERTMP)/lfs-html2.xml
 
 	@echo "Copying CSS code and images..."
@@ -38,8 +48,48 @@
 	  true; \
 	  /bin/bash obfuscate.sh $$filename; \
-	  sed -i -e "s@text/html@application/xhtml+xml@g" $$filename; \
+	  sed -e "s@text/html@application/xhtml+xml@g" \
+         -e "s/\xa9/\&copy;/ "                    \
+         -i $$filename; \
 	done;
 
 	$(Q)$(MAKE) $(BASEDIR)/wget-list $(BASEDIR)/md5sums
+
+systemd: validated profile-html
+	$(Q)xsltproc --nonet                      \
+      --output $(RENDERTMP)/lfs-html2.xml    \
+      --stringparam profile.revision systemd \
+      stylesheets/lfs-xsl/profile.xsl        \
+      $(RENDERTMP)/lfs-html.xml
+
+	@echo "Generating chunked XHTML files..."
+	$(Q)xsltproc --nonet                          \
+      --stringparam chunk.quietly $(CHUNK_QUIET) \
+      --stringparam rootid "$(ROOT_ID)"          \
+      --stringparam base.dir $(SYSDDIR)/         \
+      stylesheets/lfs-chunked.xsl                \
+      $(RENDERTMP)/lfs-html2.xml
+
+	@echo "Copying CSS code and images..."
+	$(Q)if [ ! -e $(SYSDDIR)/stylesheets ]; then \
+	  mkdir -p $(SYSDDIR)/stylesheets; \
+	fi;
+	$(Q)cp stylesheets/lfs-xsl/*.css $(SYSDDIR)/stylesheets
+
+	$(Q)if [ ! -e $(SYSDDIR)/images ]; then \
+	  mkdir -p $(SYSDDIR)/images; \
+	fi;
+	$(Q)cp images/*.png $(SYSDDIR)/images
+
+	@echo "Running Tidy and obfuscate.sh..."
+	$(Q)for filename in `find $(SYSDDIR) -name "*.html"`; do \
+	  tidy -config tidy.conf $$filename; \
+	  true; \
+	  /bin/bash obfuscate.sh $$filename; \
+	  sed -e "s@text/html@application/xhtml+xml@g" \
+         -e "s/\xa9/\&copy;/ "                    \
+         -i $$filename; \
+	done;
+
+#	$(Q)$(MAKE) $(SYSDDIR)/wget-list $(SYSDDIR)/md5sumsd
 
 pdf: validate
@@ -95,5 +145,11 @@
 	@echo "Validation complete."
 
-profile-html: validate
+validated: tmpdir
+	@echo "Validating the book..."
+	$(Q)xmllint --nonet --noent --xinclude --postvalid \
+	  -o $(RENDERTMP)/lfs-full.xml indexd.xml
+	@echo "Validation complete."
+
+profile-html: 
 	@echo "Generating profiled XML for XHTML..."
 	$(Q)xsltproc --nonet --stringparam profile.condition html \
@@ -118,4 +174,11 @@
        $(BASEDIR)/md5sums
 
+md5sumsd: $(SYSDDIR)/md5sumsd
+$(SYSDDIR)/md5sumsd: stylesheets/wget-list.xsl chapter03/chapter03.xml packages.ent patches.ent
+	@echo "Generating md5sum file..."
+	$(Q)mkdir -p $(SYSDDIR)
+	$(Q)xsltproc --xinclude --nonet --output $(SYSDDIR)/md5sums \
+	    stylesheets/md5sum.xsl chapter03/chapter03.xml
+
 dump-commands: validate
 	@echo "Dumping book commands..."
Index: general.ent
===================================================================
--- general.ent	(revision 11ebea60aa77e5a8b24f08971e153d05c12a4406)
+++ general.ent	(revision 1118b1757d67c5e7deb4c9e4b864b00f9d8a8b0c)
@@ -1,9 +1,14 @@
-<!ENTITY version         "SVN-20160516">
-<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
-                                      but not -rc releases -->
+<!ENTITY version         "SVN-20160516-merge">
+<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
+                                      Change to x.y for release but not -rc releases -->
+<!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
+
+<!ENTITY versiond        "20160407-systemd-merge">
+<!ENTITY short-versiond  "systemd">
+<!ENTITY generic-versiond "systemd"> 
+
 <!ENTITY releasedate     "May 16, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
-<!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
@@ -19,5 +24,10 @@
 <!ENTITY errata          "&lfs-root;lfs/errata/&generic-version;/">
 <!ENTITY min-kernel      "2.6.32">
-                         
+
+<!ENTITY patches-rootd   "&lfs-root;patches/lfs/&generic-versiond;/">
+<!ENTITY downloads-rootd "&lfs-root;lfs/downloads/&generic-versiond;/">
+<!ENTITY test-resultsd   "&lfs-root;lfs/build-logs/&generic-versiond;/">
+<!ENTITY erratad         "&lfs-root;lfs/errata/&generic-versiond;/">
+
 <!ENTITY lfs-ticket-root "http://wiki.linuxfromscratch.org/lfs/ticket/">
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 11ebea60aa77e5a8b24f08971e153d05c12a4406)
+++ packages.ent	(revision 1118b1757d67c5e7deb4c9e4b864b00f9d8a8b0c)
@@ -106,4 +106,12 @@
 <!ENTITY coreutils-ch6-du "168 MB">
 <!ENTITY coreutils-ch6-sbu "2.6 SBU">
+
+<!ENTITY dbus-version "1.10.6">
+<!ENTITY dbus-size "1,908 KB">
+<!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
+<!ENTITY dbus-md5 "26d0cf3a1c9782cb0e342101f0450440">
+<!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
+<!ENTITY dbus-ch6-du "23 MB">
+<!ENTITY dbus-ch6-sbu "0.2 SBU">
 
 <!ENTITY dejagnu-version "1.6">
@@ -542,4 +550,12 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
+<!ENTITY systemd-version "229">
+<!ENTITY systemd-size    "3,844 KB">
+<!ENTITY systemd-url     "http://anduin.linuxfromscratch.org/sources/other/systemd/systemd-&systemd-version;.tar.xz">
+<!ENTITY systemd-md5     "5d5115ee08affe005f821bc5ea3171e8">
+<!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
+<!ENTITY systemd-ch6-du  "1.1 GB">
+<!ENTITY systemd-ch6-sbu "5.1 SBU">
+
 <!ENTITY sysvinit-version "2.88dsf">
 <!ENTITY sysvinit-size "108 KB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 11ebea60aa77e5a8b24f08971e153d05c12a4406)
+++ patches.ent	(revision 1118b1757d67c5e7deb4c9e4b864b00f9d8a8b0c)
@@ -42,2 +42,7 @@
 <!ENTITY sysvinit-consolidated-patch-md5 "0b7b5ea568a878fdcc4057b2bf36e5cb">
 <!ENTITY sysvinit-consolidated-patch-size "3.9 KB">
+
+<!ENTITY systemd-compat-patch "systemd-&systemd-version;-compat-1.patch">
+<!ENTITY systemd-compat-patch-md5 "8a9b70794ead5a87297d7ccd7a753d78">
+<!ENTITY systemd-compat-patch-size "12 KB">
+
